petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoSetInitialVector

Sets the initial guess for the solve

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetInitialVector(Tao tao, Vec x0)

Logically collective on Tao

### Input Parameters

| tao | - the Tao context
| x0 | - the initial guess

### See Also

TaoCreate(), TaoSolve()

### Level

beginner

### Location

src/tao/interface/taosolver_fg.c

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F90.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages